## golang-github-jfrazelle-go 0.0~git20150906.0.a8e3e21

=== Makefile ===
GO_VERSION=1.4.2
GO_SRC=/tmp/go/src
PATCH_DIR=$(CURDIR)/patches

.PHONY: clean download_go_src run_patch update

define apply_patch
mkdir -p $(CURDIR)/$(2);
cp -r ${GO_SRC}/$(1)/* $(CURDIR)/$(2)/;
git apply $(PATCH_DIR)/*;
endef

download_go_src:
	curl -sSL https://golang.org/dl/go${GO_VERSION}.src.tar.gz | tar -v -C /tmp -xz

run_patch: download_go_src
	@rm -rf canonical/json
	$(call apply_patch,encoding/json,canonical/json,json)

update: run_patch clean

clean:
	rm -rf ${GO_SRC}

=== debian/changelog ===
golang-github-jfrazelle-go (0.0~git20150906.0.a8e3e21-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Wed, 09 Sep 2015 00:10:22 -0700

=== debian/control ===
Source: golang-github-jfrazelle-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9), dh-golang, golang-go, golang-src
Standards-Version: 3.9.6
Homepage: https://github.com/jfrazelle/go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jfrazelle-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-jfrazelle-go.git
XS-Go-Import-Path: github.com/jfrazelle/go

Package: golang-github-jfrazelle-go-dev
Architecture: all
Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Go packages with small patches autogenerated (used for canonical/json)
 This is a repository used for building go packages based off upstream
 with small patches.
 .
 It is only used so far for a canonical json pkg.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	make run_patch
	dh_auto_build

%:
	dh $@ --buildsystem=golang --with=golang
